Lua
Lua::call
Lua
PHP Manual

# Lua::assign

(PECL lua >=0.9.0)

Lua::assign — Assign a PHP variable to Lua

### Opis

public mixed Lua::assign ( string `$name` , string `$value` )

Ostrzeżenie

Ta funkcja jest obecnie nieudokumentowana, dostępna jest jedynie lista jej argumentów.

### Parametry

`name`

`value`

### Zwracane wartości

Returns $this or `NULL` on failure.

### Przykłady

Przykład #1 Lua::assign()example

`<?php
$lua = new Lua();
$lua->assign("php_var", array(1=>1, 2, 3)); //lua table index begin with 1
$lua->eval(<<<CODE
print(php_var);
CODE
);
?>`

Powyższy przykład wyświetli:

    Array
     (
         [1] => 1
         [2] => 2
         [3] => 3
     )

Lua
Lua::call
Lua
PHP Manual